Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1574195 - Build all country flags
Summary: Build all country flags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: google-noto-emoji-fonts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 19:18 UTC by Jeremy Bicha
Modified: 2018-05-23 17:32 UTC (History)
2 users (show)

Fixed In Version: google-noto-emoji-fonts-20180508-1.fc28 google-noto-emoji-fonts-20180508-1.fc27 google-noto-emoji-fonts-20180508-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-12 18:20:19 UTC
Type: Bug


Attachments (Terms of Use)
emoji-missing-flags.png (95.84 KB, image/png)
2018-05-02 19:18 UTC, Jeremy Bicha
no flags Details

Description Jeremy Bicha 2018-05-02 19:18:25 UTC
Created attachment 1430255 [details]
emoji-missing-flags.png

The GTK+ emoji chooser shows some country flags as missing. (To open the emoji chooser, run an app like gedit. Right-click in the text area and choose Insert Emoji.)

Screenshot from Ubuntu 18.04 LTS attached.

It turns out that Google intentionally doesn't built all of the country flags by default. So unless we want to modify GTK+ to use Google's list of countries, I think it makes sense to build the additional flags.

The trivial patch I used in Debian for this is
https://salsa.debian.org/fonts-team/fonts-noto-color-emoji/blob/debian/unstable/debian/patches/build-all-flags.patch

See also the explanation at
https://github.com/googlei18n/noto-emoji/issues/215#issuecomment-386037484

Comment 1 Fedora Update System 2018-05-08 15:33:56 UTC
google-noto-emoji-fonts-20180508-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b74b1e7c19

Comment 2 Fedora Update System 2018-05-08 15:34:30 UTC
google-noto-emoji-fonts-20180508-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e925eb43a3

Comment 3 Fedora Update System 2018-05-08 15:34:54 UTC
google-noto-emoji-fonts-20180508-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-294894a262

Comment 4 Fedora Update System 2018-05-09 22:27:45 UTC
google-noto-emoji-fonts-20180508-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b74b1e7c19

Comment 5 Fedora Update System 2018-05-09 23:30:57 UTC
google-noto-emoji-fonts-20180508-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e925eb43a3

Comment 6 Fedora Update System 2018-05-10 01:29:24 UTC
google-noto-emoji-fonts-20180508-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-294894a262

Comment 7 Fedora Update System 2018-05-12 18:20:19 UTC
google-noto-emoji-fonts-20180508-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-05-16 13:44:59 UTC
google-noto-emoji-fonts-20180508-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-05-23 17:32:12 UTC
google-noto-emoji-fonts-20180508-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.